Apache C++ Standard Library Reference Guide

## <queue>

Library: Containers

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<queue>` is part of the Containers library of the C++ Standard Library. It defines the container adaptors, the class templates queue and priority_queue, and a set of relational operators that C++ programs may use to perform equality and inequality tests on specializations of queue.

### Synopsis

    namespace std {
      template <class T, class Container = deque<T> > class queue;
      template <class T, class Container>
      bool operator==(const queue<T, Container>&,
                      const queue<T, Container>&);
      template <class T, class Container>
      bool operator<(const queue<T, Container>&,
                     const queue<T, Container>&);
      template <class T, class Container>
      bool operator!=(const queue<T, Container>&,
                      const queue<T, Container>&);
      template <class T, class Container>
      bool operator>(const queue<T, Container>&,
                     const queue<T, Container>&);
      template <class T, class Container>
      bool operator>=(const queue<T, Container>&,
                      const queue<T, Container>&);
      template <class T, class Container>
      bool operator<=(const queue<T, Container>&,
                      const queue<T, Container>&);

      template <class T, class Container = vector<T>,
              class Compare = less<typename Container::value_type> >
      class priority_queue;
    }

### See Also

queue, priority_queue, Containers

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++ 23.2